Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`template`.`XMLString``

class documentation

`class XMLString: (source)`

Constructor: `XMLString(s)`

Implements interfaces: `twisted.web.iweb.ITemplateLoader`

View In Hierarchy

An `ITemplateLoader` that loads and parses XML from a string.

Method | `__init__` | Run the parser on a `io.StringIO` copy of the string.
Method | `load` | Return the document.
Instance Variable | `_loadedTemplate` | The loaded document.

def __init__(self, s: `Union[str, bytes]`): (source)

Run the parser on a `io.StringIO` copy of the string.

Parameters
s:`str`, or a UTF-8 encoded `bytes`. | The string from which to load the XML.

def load(self) -> `List[Flattenable]`: (source)
from `twisted.web.iweb.ITemplateLoader`

Return the document.

Returns
`List[Flattenable]` | the loaded document.

_loadedTemplate: `List[Flattenable]` = (source)

The loaded document.